Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 452806 (ember-media) - Review Request: ember-media - media files for the ember
Summary: Review Request: ember-media - media files for the ember
Keywords:
Status: CLOSED NEXTRELEASE
Alias: ember-media
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tom "spot" Callaway
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-25 08:01 UTC by Alexey Torkhov
Modified: 2008-09-12 07:26 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-09-12 07:26:21 UTC
tcallawa: fedora-review+


Attachments (Terms of Use)
spec changes to cleanup rpmlint failures (deleted)
2008-09-11 19:28 UTC, Tom "spot" Callaway
no flags Details | Diff

Description Alexey Torkhov 2008-06-25 08:01:59 UTC
Spec URL: http://purple.worldforge.org/~alex/fedora/ember-media.spec
SRPM URL: http://purple.worldforge.org/~alex/fedora/ember-media-0.5.2-1.src.rpm (big package, 115M)
Description: Media files for the ember WorldForge client.

Non-free pack in tarball is reported upstream and would be fixed in next version.

Comment 1 Rudolf Kastl 2008-07-03 20:31:15 UTC
there is a typo:

Requires:       ember >= ${version}

should be:

Requires:       ember >= %{version}

Comment 2 Alexey Torkhov 2008-07-04 17:05:36 UTC
Thanks. I'm mixing $ and % quite often :)

Comment 5 Tom "spot" Callaway 2008-09-11 19:28:25 UTC
Created attachment 316476 [details]
spec changes to cleanup rpmlint failures

Comment 6 Tom "spot" Callaway 2008-09-11 19:39:58 UTC
I've attached a diff between your last spec file, and one I edited to fix the rpmlint errors:

This review is against the fixed spec and SRPM. Please make those changes before committing.

Good:

- rpmlint checks return:
ember-media.noarch: W: dangling-relative-symlink /usr/share/ember/media/shared/common/themes/ember/gui/fonts/VeraBd.ttf ../../../../../../../../fonts/bitstream-vera/VeraBd.ttf
ember-media.noarch: W: dangling-relative-symlink /usr/share/ember/media/shared/common/themes/ember/gui/fonts/Vera.ttf ../../../../../../../../fonts/bitstream-vera/Vera.ttf
ember-media.noarch: W: dangling-relative-symlink /usr/share/ember/media/shared/core/Vera.ttf ../../../../fonts/bitstream-vera/Vera.ttf

These are safe to ignore, because you have Requires: bitstream-vera-fonts

- package meets naming guidelines
- package meets packaging guidelines
- license (GPLv2+ or GFDL) OK, text in %doc, matches source
- spec file legible, in am. english
- source matches upstream (1bd54d49063505c63ea9f4548711749b7e75a553)
- package compiles on devel (x86_64)
- no missing BR
- no unnecessary BR
- no locales
- not relocatable
- owns all directories that it creates
- no duplicate files
- permissions ok
- %clean ok
- macro use consistent
- content okay
- no need for -docs
- nothing in %doc affects runtime
- no need for .desktop file 

Please be sure you make my changes before you commit, but this is APPROVED.

Comment 7 Alexey Torkhov 2008-09-11 20:27:16 UTC
Will apply your patch! Thanks!

New Package CVS Request
=======================
Package Name: ember-media
Short Description: Ember media files
Owners: atorkhov wart
Branches: F-9
InitialCC:

Comment 8 Huzaifa S. Sidhpurwala 2008-09-12 03:24:29 UTC
cvs done

Comment 9 Alexey Torkhov 2008-09-12 05:57:24 UTC
Huzaifa, package is in place, but I cannot find cvs module.

Comment 10 Alexey Torkhov 2008-09-12 06:01:57 UTC
Resolved in IRC.


Note You need to log in before you can comment on or make changes to this bug.